<!--
 * @Author: sjl
 * @Date: 2023-04-10 11:01:43
 * @Descripttion: 
-->
<template>
    <div id="twoThree"></div>
</template>
<script>
import { defineComponent, onMounted } from 'vue';
import MicroFrontend from '/@/utils/MicroFrontend.js';
import { getAppEnvConfig } from '/@/utils/env';
import { session } from '/@/utils/Memory.js';
const { VITE_GLOB_LIGONG_ADMIN } = getAppEnvConfig();
export default defineComponent({
    components: {},
    setup() {
        var mic = new MicroFrontend().init();
        onMounted(() => iframe())
        function iframe() {
            if (!mic.show) {
                var token = sessionStorage.getItem('token');
                var login = session.getItem("loginFrom")
                if (token && login) {
                    token = token.replace(/['"]/g, '');
                    mic.register('wlw', 'twoThree', `${VITE_GLOB_LIGONG_ADMIN}?refreshToken=${token}&password=${login.password}&username=${login.username}`);
                    mic.show = true;
                }
            }
        }
        return {};
    }
});
</script>
<style scoped>
#iframeapp,
#twoThree,
#twoThree iframe {
    width: 100%;
    height: 100%;
}
</style>
  